"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UPLOAD_IMAGE_URL = exports.FOODS_URL = exports.MEALS_URL = exports.RECIPES_URL = exports.USERS_URL = exports.REFRESH_URL = exports.LOGOUT_URL = exports.LOGIN_URL = exports.USDAFOODS_USER = exports.ANY_USER = exports.API_ROOT = exports.TOKEN_NAME = void 0;

/**
 * Set mappings to Trend cloud api.
 */
const TOKEN_NAME = 'trendToken';
exports.TOKEN_NAME = TOKEN_NAME;
const API_ROOT = process.env.REACT_APP_ENV === 'dev1' ? 'https://api-dev1.trend.community' : process.env.REACT_APP_ENV === 'web1' ? 'https://api.trend.community' : 'http://localhost:3000';
exports.API_ROOT = API_ROOT;
const ANY_USER = 'any';
exports.ANY_USER = ANY_USER;
const USDAFOODS_USER = 'usdafoods';
exports.USDAFOODS_USER = USDAFOODS_USER;
const LOGIN_URL = 'auth/login';
exports.LOGIN_URL = LOGIN_URL;
const LOGOUT_URL = 'auth/logout';
exports.LOGOUT_URL = LOGOUT_URL;
const REFRESH_URL = 'auth/refresh';
exports.REFRESH_URL = REFRESH_URL;
const USERS_URL = 'api/users';
exports.USERS_URL = USERS_URL;
const RECIPES_URL = 'api/recipes';
exports.RECIPES_URL = RECIPES_URL;
const MEALS_URL = 'api/meals';
exports.MEALS_URL = MEALS_URL;
const FOODS_URL = 'api/foods';
exports.FOODS_URL = FOODS_URL;
const UPLOAD_IMAGE_URL = `${API_ROOT}/upload/image`;
exports.UPLOAD_IMAGE_URL = UPLOAD_IMAGE_URL;